<?xml version="1.0" encoding="utf-8" ?>
<DUMMY>
    <!-- General variables *****************************************************-->
    <VARIABLE id="input_channels_count" value="$PLUGIN_AUDIO_INPUTS_COUNT$"/>
    <VARIABLE id="output_channels_count" value="$PLUGIN_AUDIO_OUTPUTS_COUNT$"/>
    <VARIABLE id="matrix_size" value="8"/>
    <VARIABLE id="assignable_params_count" value="40"/>

  <!-- Basic definitions based on channels/bands count ***********************-->
    <DEFINE>
        <FOR_EACH_IN_CHANNEL base_type="REPEAT" count="$input_channels_count$" index_name="channel_index" start="1"/>
        <FOR_EACH_OUT_CHANNEL base_type="REPEAT" count="$output_channels_count$" index_name="channel_index" start="1"/>
        <FOR_EACH_MATRIX_ROW base_type="REPEAT" count="$matrix_size$" start="1" index_name="i"/>
        <FOR_EACH_MATRIX_COLUMN base_type="REPEAT" count="$matrix_size$" start="1" index_name="j"/>
        <FOR_EACH_ASSIGNABLE_PARAM base_type="REPEAT" count="$assignable_params_count$" start="1" index_name="param_index"/>
    </DEFINE>
    <!-- The mapping utilities that define the NEXT_ / CURRENT_ macros-->
    <INCLUDE_ONCE file="satYatunes-Theme/utils/mapping_utils.inc"/>
    
    <!-- Input Parameters ******************************************************-->
    <NEXT_INPUT_PARAM id="bypass"/>
    <NEXT_INPUT_PARAM id="matrix_width"/>
    <NEXT_INPUT_PARAM id="matrix_height"/>
    <NEXT_INPUT_PARAM id="mix"/>
    <NEXT_INPUT_PARAM id="in_gain"/>
    <NEXT_INPUT_PARAM id="out_gain"/>
    <NEXT_INPUT_PARAM id="show_levels"/>
    <NEXT_INPUT_PARAM id="summing_mode"/>
    
    <FOR_EACH_MATRIX_ROW>
      <NEXT_INPUT_PARAM id="parallel_power$i$"/>
    </FOR_EACH_MATRIX_ROW>
    <FOR_EACH_MATRIX_ROW>
        <NEXT_INPUT_PARAM id="parallel_in_gain$i$"/>
    </FOR_EACH_MATRIX_ROW>
    <FOR_EACH_MATRIX_ROW>
      <NEXT_INPUT_PARAM id="parallel_out_gain$i$"/>
    </FOR_EACH_MATRIX_ROW>
    <FOR_EACH_MATRIX_ROW>
        <NEXT_INPUT_PARAM id="parallel_phase_flip$i$"/>
    </FOR_EACH_MATRIX_ROW>
    <FOR_EACH_ASSIGNABLE_PARAM>
        <NEXT_INPUT_PARAM id="assignable_param$param_index$"/>
    </FOR_EACH_ASSIGNABLE_PARAM>
    <FOR_EACH_MATRIX_ROW>
        <NEXT_INPUT_PARAM id="parallel_solo$i$"/>
    </FOR_EACH_MATRIX_ROW>
    
    <VARIABLE id="assignable_params_list" value="$assignable_param1$"/>
    <REPEAT count="$assignable_params_count$-1" start="2">
        <VARIABLE id="assignable_params_list" override="true" value="$assignable_params_list$;$assignable_param$index$$"/>
    </REPEAT>
    
    <!-- Output Parameters ******************************************************-->
    <FOR_EACH_IN_CHANNEL>
        <NEXT_PRIVATE_OUTPUT_PARAM id="input_level$channel_index$"/>
        <NEXT_PRIVATE_OUTPUT_PARAM id="input_hold_level$channel_index$"/>
    </FOR_EACH_IN_CHANNEL>
    <FOR_EACH_OUT_CHANNEL>
        <NEXT_PRIVATE_OUTPUT_PARAM id="output_level$channel_index$"/>
        <NEXT_PRIVATE_OUTPUT_PARAM id="output_hold_level$channel_index$"/>
    </FOR_EACH_OUT_CHANNEL>
    
    <VARIABLE id="params_map" value="dsp.input_property64"/>
    <VARIABLE id="midi_map" value="dsp.input_property65"/>
    
  <!-- Extra params and variables *********************************************-->
    <!-- Opacity -->
    <PARAM id="global_opacity" min="0" max="100" default="100" unit="%" persistent="true"/>
    <PARAM_LINK from="global_opacity" to="window.opacity" normalized="true"/>
    <!-- Dummy param -->
    <PARAM id="dummy"/>
</DUMMY>